View Issue Details

IDProjectCategoryView StatusLast Update
0003953GNUnetDV service or transportpublic2018-06-07 00:24
ReporterFlorian DoldAssigned ToChristian Grothoff 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0003953: test_transport_dv logs lots of CADET errors and does not terminate
DescriptionSee summary.

I'm not sure if this is CADET's fault or DV's.

The problem also happens with r36280, thus it can't be cause by the recent SET changes.
Steps To Reproduce$ cd src/dv
$ make test_transport_dv
$ ./test_transport_dv
Additional InformationLog is attached.
TagsNo tags attached.

Activities

Florian Dold

2015-08-31 02:35

developer  

out.log (377,133 bytes)

Florian Dold

2015-08-31 02:44

developer   ~0009592

I'm also a bit confused by what happens if the transport plugin in test_dv_data.conf is set to udp or unix:

[...]
Testbed connected peers, should not happen...

Is that expected?

Florian Dold

2015-08-31 02:47

developer   ~0009593

FYI, all CADET tests except

test_cadet_2_keepalive
test_cadet_5_keepalive

pass.

Christian Grothoff

2015-08-31 09:19

manager   ~0009594

DV was never 'finished', we always ultimately had issues passing the tests so far...

Christian Grothoff

2017-02-26 02:14

manager   ~0011857

Marking resolved as the CADET issues should be gone, and 'dv' not being working is an independent issue.

Issue History

Date Modified Username Field Change
2015-08-31 02:35 Florian Dold New Issue
2015-08-31 02:35 Florian Dold Status new => assigned
2015-08-31 02:35 Florian Dold Assigned To => Bart Polot
2015-08-31 02:35 Florian Dold File Added: out.log
2015-08-31 02:44 Florian Dold Note Added: 0009592
2015-08-31 02:47 Florian Dold Note Added: 0009593
2015-08-31 09:19 Christian Grothoff Note Added: 0009594
2017-02-26 02:13 Christian Grothoff Assigned To Bart Polot =>
2017-02-26 02:13 Christian Grothoff Status assigned => confirmed
2017-02-26 02:14 Christian Grothoff Assigned To => Christian Grothoff
2017-02-26 02:14 Christian Grothoff Status confirmed => resolved
2017-02-26 02:14 Christian Grothoff Resolution open => fixed
2017-02-26 02:14 Christian Grothoff Fixed in Version => 0.11.0pre66
2017-02-26 02:14 Christian Grothoff Note Added: 0011857
2017-02-26 02:14 Christian Grothoff Product Version => SVN HEAD
2017-02-26 02:14 Christian Grothoff Target Version => 0.11.0pre66
2018-06-07 00:24 Christian Grothoff Status resolved => closed